package org.dromara.inspection.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.inspection.domain.bo.ArExecutionBo;
import org.dromara.inspection.domain.vo.ArExecutionVo;

import java.util.Collection;
import java.util.List;

/**
 * 任务执行记录Service接口
 *
 * @author Lion Li
 * @date 2025-01-13
 */
public interface IArExecutionService {

    /**
     * 查询单个
     *
     * @return
     */
    ArExecutionVo queryById(Long id);

    /**
     * 查询列表
     */
    TableDataInfo<ArExecutionVo> queryPageList(ArExecutionBo bo, PageQuery pageQuery);

    /**
     * 查询列表
     */
    List<ArExecutionVo> queryList(ArExecutionBo bo);

    /**
     * 根据新增业务对象插入任务执行记录
     *
     * @param bo 任务执行记录新增业务对象
     * @return
     */
    Boolean insertByBo(ArExecutionBo bo);

    /**
     * 根据编辑业务对象修改任务执行记录
     *
     * @param bo 任务执行记录编辑业务对象
     * @return
     */
    Boolean updateByBo(ArExecutionBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
